import { PageBean } from '@business/entity/grid';
import { ExampleService } from '@business/services/util/example.service';
import { _HttpClient } from '@delon/theme';
import { environment } from 'environments/environment';
import { RouteConfigLoadStart } from '@angular/router';
import { Injectable } from '@angular/core';
import { equal } from 'assert';
import { Observable } from 'rxjs/Observable';

@Injectable()
export class OperateUserService {

  private urls = {
    list: environment.SERVER_BASH_URL + 'operateUser/page-list'
};
constructor(private http: _HttpClient) { }
 public getPagingList(page: PageBean, queryText: string): Observable<PageBean> {
  const example = new ExampleService();
  if (queryText != null && queryText !== '') {
    example.or().andLike({name: 'name', value: '%' + queryText + '%'});
    example.or().andLike({name: 'jobNumber', value: '%' + queryText + '%'});
  }
  let orderByClause = '';
  if ( page.getOrderByClause != null && page.getOrderByClause instanceof Function) {
    orderByClause = page.getOrderByClause();
  }
  const param: PageBean = {pageSize: page.pageSize, pageIndex: page.pageIndex, 
      queryParams: example.getSqlParam(), orderByClause: orderByClause};
      return this.http.get(this.urls.list, param);
}

}
